IF NOT EXISTS (SELECT * FROM PRC_EMP_CONFIG WHERE CD_CHAVE='URL_AUTENTICACAO_OPENCASHBACK')
BEGIN
   INSERT INTO PRC_EMP_CONFIG 
   (
   	CD_EMP,  
     	CD_CHAVE,                    
     	VALOR,                               
	  	CD_USU,
	   DT_ULT_ALT
	)
   VALUES 
   (
   	1, 
	  	'URL_AUTENTICACAO_OPENCASHBACK',
	   'https://api.staging.opencashback.io/core/v2',       
	  	SUSER_ID(),
	  	GETDATE()
   )
END

IF NOT EXISTS (SELECT * FROM PRC_EMP_CONFIG WHERE CD_CHAVE='USUARIO_AUTENTICACAO_OPENCASHBACK')
BEGIN
   INSERT INTO PRC_EMP_CONFIG 
   (
   	CD_EMP,  
     	CD_CHAVE,                    
     	VALOR,                               
	  	CD_USU,
	   DT_ULT_ALT
	)
   VALUES 
   (
   	1, 
	  	'USUARIO_AUTENTICACAO_OPENCASHBACK',
	   'integracao+linxfarma@opencashback.com.br',       
	  	SUSER_ID(),
	  	GETDATE()
   )
END

IF NOT EXISTS (SELECT * FROM PRC_EMP_CONFIG WHERE CD_CHAVE='SENHA_AUTENTICACAO_OPENCASHBACK')
BEGIN
   INSERT INTO PRC_EMP_CONFIG 
   (
   	CD_EMP,  
     	CD_CHAVE,                    
     	VALOR,                               
	  	CD_USU,
	   DT_ULT_ALT
	)
   VALUES 
   (
   	1, 
	  	'SENHA_AUTENTICACAO_OPENCASHBACK',
	   'linxfarmalemoney',       
	  	SUSER_ID(),
	  	GETDATE()
   )
END

